<mat-progress-bar *ngIf="loading" color="primary" mode="query"></mat-progress-bar>

<h2 class="title">Report Prospecting Journal</h2>

<mat-list>
  <mat-list-item>{{run?.dateStart | date:'full'}} - {{run?.dateEnd | date:'full'}}</mat-list-item>
  <mat-divider></mat-divider>
  <mat-list-item>Location: {{run?.location?.body}}</mat-list-item>
  <mat-divider></mat-divider>
  <mat-list-item>Duration: {{run?.duration | duration}}</mat-list-item>
  <mat-divider></mat-divider>
</mat-list>

<mat-form-field appearance="fill">
  <mat-label>Overlap type</mat-label>
  <mat-select [(ngModel)]="type" required>
    <mat-option value="prospector_ltd1">LTD1</mat-option>
    <mat-option value="prospector_ltd2">LTD2</mat-option>
    <mat-option value="prospector_ltd3">LTD3</mat-option>
    <mat-option value="prospector_tritium1">Tritium1</mat-option>
    <mat-option value="prospector_tritium2">Tritium2</mat-option>
    <mat-option value="prospector_tritium3">Tritium3</mat-option>
    <mat-option value="prospector_painite1">Painite1</mat-option>
    <mat-option value="prospector_painite2">Painite2</mat-option>
    <mat-option value="prospector_painite3">Painite3</mat-option>
  </mat-select>
  <mat-error *ngIf="!type">Please choose the overlap type</mat-error>
</mat-form-field>

<mat-form-field appearance="fill">
  <mat-label>Comment</mat-label>
  <input matInput [(ngModel)]="comment">
</mat-form-field>

<div class="buttons">
  <button mat-raised-button color="primary" [disabled]="!run || !type || loading" (click)="submit()">Submit</button>
  <button mat-button (click)="dismiss()" [disabled]="loading">Dismiss</button>
</div>
